## libsqueeze

libsqueeze

## Synopsis

    void                lsq_init                            ();
    void                lsq_shutdown                        ();
    gint                lsq_new_archive                     (gchar *path,
                                                             gboolean overwrite,
                                                             gchar *mime,
                                                             LSQArchive **lp_archive);
    gint                lsq_open_archive                    (gchar *path,
                                                             LSQArchive **lp_archive);
    void                lsq_close_archive                   (LSQArchive *archive);

## Description

## Details

### lsq_init ()

    void                lsq_init                            ();

### lsq_shutdown ()

    void                lsq_shutdown                        ();

### lsq_new_archive ()

    gint                lsq_new_archive                     (gchar *path,
                                                             gboolean overwrite,
                                                             gchar *mime,
                                                             LSQArchive **lp_archive);

`path` : |
`overwrite` : |
`mime` : |
`lp_archive` : |
Returns : |

### lsq_open_archive ()

    gint                lsq_open_archive                    (gchar *path,
                                                             LSQArchive **lp_archive);

`path` : |
`lp_archive` : |
Returns : |

### lsq_close_archive ()

    void                lsq_close_archive                   (LSQArchive *archive);

`archive` : |